 /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos_operativos.js
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Msc. Juan Vizcarrondo
  * @date 2012-02-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

/*
 * Implementacion valores iniciales
 */
var proyectosOperativos = {};
Drupal.behaviors.proyectosOperativos = function (context) {
  //myplanner
  $("#edit-field-proyecto-fecha-i-0-value-datepicker-popup-0").attr('readonly', true);
  $("#edit-field-proyecto-fecha-f-0-value-datepicker-popup-0").attr('readonly', true);
  $("#edit-field-accion-esp-fechai-0-value-datepicker-popup-0").attr('readonly', true);
  $("#edit-field-accion-esp-fechaf-0-value-datepicker-popup-0").attr('readonly', true);
  $("#edit-field-accion-esp-fechai-0-value-datepicker-popup-0").val();
  var date = $("#edit-field-accion-esp-fechai-0-value-datepicker-popup-0").val();
  var n = date.split("/");
  var month = parseInt(n[1], 10) - 1;
  var year_prev = parseInt(n[2], 10);
  var year_current = Drupal.settings.year_current;
  date1 = $("#edit-field-accion-esp-fechaf-0-value-datepicker-popup-0").val();
  var n1 = date1.split("/");
  month1 = parseInt(n1[1], 10) - 1;
  var year_next = parseInt(n1[2], 10);
  if (year_prev < year_current) {
    month = 0;
  }
  if (year_next > year_current) {
    month1 = 11;
  }
  for (var i = 0; i < 12;i++) {
    if (i < month || i > month1) {
      $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', true);
      $(".field_accion_esp_programacion_m" + i + "_field").val(0);
      $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', true);
      $(".field_accion_esp_metaf_m" + i + "_field").val(0);
    }
    else {
      $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', false);
      $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', false);
    }
  }
  suma('field_accion_esp_metaf_0_field');
  for (i = 0; i < 12;i++) {
    suma('field_accion_esp_programacion_' + i + '_field');
  }
  sumatexto('field_accion_esp_programacion_dato_field');
  for (i = 0; i < 12;i++) {
    sumatexto('field_accion_esp_programacion_m' + i + '_field');
  }
  $("#edit-field-accion-esp-fechai-0-value-datepicker-popup-0").datepicker({ 
    onSelect: function(date) {
      var n = date.split("/");
      var month = parseInt(n[1], 10) - 1;
      var year_prev = parseInt(n[2], 10);
      var year_current = Drupal.settings.year_current;
      var date1 = $("#edit-field-accion-esp-fechaf-0-value-datepicker-popup-0").val();
      var n1 = date1.split("/");
      var month1 = parseInt(n1[1], 10) - 1;
      var year_next = parseInt(n1[2], 10);
      var tamano = 0;
      //se obtiene el tamanho del campo
      $(".field_accion_esp_programacion_m0_field").each(function() {
        tamano++;
      });
      if (year_prev < year_current) {
        month = 0;
      }
      if (year_next > year_current) {
        month1 = 11;
      }
      for (var i = 0; i <= 11;i++) {
        $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', true);
        $(".field_accion_esp_programacion_m" + i + "_field").val(0);
        $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', true);
        $(".field_accion_esp_metaf_m" + i + "_field").val(0);
      }
      if (year_prev <= year_current && year_next >= year_current) {
        for (var i = month; i <= month1;i++) {
          $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', false);
          $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', false);
        }
      }
      suma('field_accion_esp_metaf_0_field');
      for (i = 0; i < 12;i++) {
        suma('field_accion_esp_programacion_' + i + '_field');
      }
      sumatexto('field_accion_esp_programacion_dato_field');
      for (i = 0; i < 12;i++) {
        sumatexto('field_accion_esp_programacion_m' + i + '_field');
      }
    }, "dateFormat": "dd/mm/yy",
  });
  $("#edit-field-accion-esp-fechaf-0-value-datepicker-popup-0").datepicker({ 
    onSelect: function(date) {
      var n1 = date.split("/");
      var month1 = parseInt(n1[1], 10) - 1;
      var year_next = parseInt(n1[2], 10);
      var year_current = Drupal.settings.year_current;
      var date1 = $("#edit-field-accion-esp-fechai-0-value-datepicker-popup-0").val();
      var n = date1.split("/");
      var month = parseInt(n[1], 10) - 1;
      var year_prev = parseInt(n[2], 10);
      var tamano = 0;
      //se obtiene el tamanho del campo
      $(".field_accion_esp_programacion_m0_field").each(function() {
        tamano++;
      });
      if (year_prev < year_current) {
        month = 0;
      }
      if (year_next > year_current) {
        month1 = 11;
      }
      for (var i = 0; i <= 11;i++) {
        $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', true);
        $(".field_accion_esp_programacion_m" + i + "_field").val(0);
        $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', true);
        $(".field_accion_esp_metaf_m" + i + "_field").val(0);
      }
      if (year_prev <= year_current && year_next >= year_current) {
        for (var i = month; i <= month1;i++) {
          $(".field_accion_esp_programacion_m" + i + "_field").attr('readonly', false);
          $(".field_accion_esp_metaf_m" + i + "_field").attr('readonly', false);
        }
      }
      suma('field_accion_esp_metaf_0_field');
      for (i = 0; i < 12;i++) {
        suma('field_accion_esp_programacion_' + i + '_field');
      }
      sumatexto('field_accion_esp_programacion_dato_field');
      for (i = 0; i < 12;i++) {
        sumatexto('field_accion_esp_programacion_m' + i + '_field');
      }
    }, "dateFormat": "dd/mm/yy",
  });
}
